Creative Recon3d & Sound Blaster Z (CA0132), No sound at all

Bug #1166529 reported by Michael Murphy on 2013-04-08
180
This bug affects 34 people
Affects Status Importance Assigned to Milestone
ALSA driver
Unknown
Unknown
Linux
Confirmed
Undecided
Unassigned
alsa-driver (Debian)
New
Undecided
Unassigned
alsa-driver (Ubuntu)
Medium
Unassigned

Bug Description

[WORKAROUND] Run the following command:

echo "options snd-hda-intel position_fix=1" | sudo tee -a /etc/modprobe.d/alsa-base.conf

[EDIT]
Workaround doesn't work anymore for me at least. I assume it only has a small possibility of working due to a firmware bug.

[ORIGINAL REPORT]
No sound, no jacks; It is detected by Linux however.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.8.0-16.26-generic 3.8.5
Uname: Linux 3.8.0-16-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.9.2-0ubuntu5
Architecture: amd64
Date: Mon Apr 8 18:56:44 2013
InstallationDate: Installed on 2013-04-07 (1 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130402.1)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Creative failed
Symptom_Card: HDA Creative - HDA Creative
Symptom_Type: No sound at all
Title: [To be filled by O.E.M., Creative CA0132, Green Line Out, Rear] No sound at all
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/12/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1102
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: SABERTOOTH 990FX
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1102:bd03/12/2012:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKCOMPUTERINC.:rnSABERTOOTH990FX:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

Michael Murphy (mmstick) wrote :
Michael Murphy (mmstick) on 2013-04-16
description: updated
Michael Murphy (mmstick) wrote :

Problem still persists with kernel 3.9 in Ubuntu Saucy Salamander.

Marc Bourgoin (jagged-jimmy-j) wrote :

Heyyo,

I get sound with my SoundBlaster Recon 3d Fatal1ty Professional when I use any version of the 32bit kernel (3.8.x and 3.9.4 thoroughly tested)on any version of Linux (Ubuntu, Xubuntu, Kubuntu... can't install Fedora for some reason though... just hangs) where-as 64bit works only if I modify the rc.local file with the fix_position... and that's not even a guarantee. There's definitely a bug in the 64bit Kernel only at least for me... give it a shot yourself mmstickman, see if it works on your Recon 3D.

Michael Murphy (mmstick) wrote :

Care to explain in more detail?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
summary: - Creative Recon3d No Sound At All Through Any Jacks
+ Creative Recon3d, No Sound At All on 64-bit

[WORKAROUND] Run the following command:
echo "options snd-hda-intel position_fix=1" | sudo tee -a /etc/modprobe.d/alsa-base.conf

Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
description: updated
Michael Murphy (mmstick) wrote :

I see, I had fixed it in rc.local with the position_fix thing. It does indeed work now, quite well.

Paulo Narciso (p-narciso) wrote :

Doesn't work for Z cards.

It may be coincidence, but both of you have onboard or HDMI audio devices that force disabling of MSI (message signaled interrupts)

@Paulo: I would try disabling the hdmi audio:
sudo echo "blacklist snd-hda-codec-hdmi" > /etc/modprobe.d/blacklist-hdmi.conf
sudo depmod -a

See if sound works after rebooting

Michael Murphy (mmstick) wrote :

Hmm, for some strange reason after I reboot, sound is no longer working once again with my recon3d in Ubuntu 13.04.

summary: - Creative Recon3d, No Sound At All on 64-bit
+ Creative Recon3d & Sound Blaster Z (CA0132), No Sound At All
Michael Murphy (mmstick) wrote :

After purging, reinstalling, and reconfiguring alsa and pulse, still no sound at all from my Recon3D. The position_fix=1 doesn't seem to work anymore now.

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/log/?qt=grep&q=ca0132

Try latest alsa driver with CONFIG_SND_HDA_CODEC_CA0132_DSP

Michael Murphy (mmstick) wrote :

I don't see how that helps. I already tried the latest ALSA Daily PPA and such. That patch doesn't really note anything about actual firmware bug fixes too. Nor do I know how to manually compile/install ALSA.

description: updated
summary: - Creative Recon3d & Sound Blaster Z (CA0132), No Sound At All
+ Creative Recon3d & Sound Blaster Z (CA0132), No Sound At All; Broken
+ Beyond All Repair

you have to specify -with-card-options=hda-codec-ca0132-dsp and --with-debug=verbose during configure

ask the author where to get the firmware "ctefx.bin"

Michael Murphy (mmstick) wrote :

Your specification isn't specific enough to detail on what a person should do in order to get these cards running.

Raymond (superquad-vortex2) wrote :

you have to ask ppa maintainer since those daily snapshot build fail

make[2]: Entering directory `/usr/src/linux-headers-3.8.0-25-generic'
  CC [M] /build/buildd/oem-audio-hda-daily-lts-raring-dkms-0.201307011243~precise1/buildroot/driver-build/patch_analog.o
  CC [M] /build/buildd/oem-audio-hda-daily-lts-raring-dkms-0.201307011243~precise1/buildroot/driver-build/patch_ca0110.o
  CC [M] /build/buildd/oem-audio-hda-daily-lts-raring-dkms-0.201307011243~precise1/buildroot/driver-build/patch_ca0132.o
/build/buildd/oem-audio-hda-daily-lts-raring-dkms-0.201307011243~precise1/buildroot/driver-build/patch_ca0132.c:142:12: error: 'SNDRV_CTL_ELEM_ID_NAME_MAXLEN' undeclared here (not in a function)
/build/buildd/oem-audio-hda-daily-lts-raring-dkms-0.201307011243~precise1/buildroot/driver-build/patch_ca0132.c: In function 'add_fx_switch':
/build/buildd/oem-audio-hda-daily-lts-raring-dkms-0.201307011243~precise1/buildroot/driver-build/patch_ca0132.c:3938:7: warning: unused variable 'namestr' [-Wunused-variable]
make[3]: *** [/build/buildd/oem-audio-hda-daily-lts-raring-dkms-0.201307011243~precise1/buildroot/driver-build/patch_ca0132.o] Error 1

Michael Murphy (mmstick) wrote :

Well it worked for a while once I installed kernel 3.11-rc1. But then I messed up my system upgrading to 13.10 and so I reformatted and installed ubuntu 13.04 freshly and used my fresh installation script to get it configured exactly as it was before, even the 3.11-rc1 kernel, and it's not working. What gives? It's not the first time it has done this. The moment I think I have finally fixed it, a few reboots later or a reinstall and it will no longer work, ever. Something is wrong here and I can't figure it out.

Akovia Voka (akovia1) wrote :

I'm having the same trouble with the Recon 3D card in 12.04LTS. Is there any hope with the posted fixes to try for my older distro? I also have HDMI sound but the command posted didn't work for me to disable it.

Michael Murphy (mmstick) wrote :

As far as I know you need to upgrade your kernel to something like 3.10 and then I've only been able to get sound out of the headphone port on the back. No sound from any other port.

Michael Murphy (mmstick) wrote :

If you lose sound you need to boot into Windows and then boot back into Linux. The control panel settings in Windows also applies in Linux.

Raymond (superquad-vortex2) wrote :

>> As far as I know you need to upgrade your kernel to something like 3.10 and then I've only been able to get sound out of the headphone port on the back. No sound from any other port.

can you post the output of alsa-info.sh, pactl list and pactl stat ?

Michael Murphy (mmstick) wrote :
Michael Murphy (mmstick) wrote :
Michael Murphy (mmstick) wrote :
Raymond (superquad-vortex2) wrote :

but you are still using Driver version: k3.8.0-27-generic

pulseaudio expect those Jack detection kcontrol for the headphone Jack which return true when headphone is plugged

iface CARD
  name 'Front Headphone Jack'
  value false
  comment {
   access read
   type BOOLEAN
   count 1

Michael Murphy (mmstick) wrote :

Nothing changes when using 3.10 which I've used before, and I don't really understand the second thing you said.

Raymond (superquad-vortex2) wrote :

pulseaudio expect front headphone Jack kcontrol similar to alc892

Node 0x1b [Pin Complex] wcaps 0x40058f: Stereo Amp-In Amp-Out
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Control: name="Front Headphone Jack", index=0, device=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals: [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x00 0x00]
  Pincap 0x0001373e: IN OUT HP EAPD Detect Trigger
    Vref caps: HIZ 50 GRD 80 100
  EAPD 0x2: EAPD
  Pin Default 0x02214c20: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Green
    DefAssociation = 0x2, Sequence = 0x0
  Pin-ctls: 0xc0: OUT HP VREF_HIZ
  Unsolicited: tag=01, enabled=1
  Power states: D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 5
     0x0c 0x0d 0x0e 0x0f 0x26*

but CA0132 did not have those Jack detection kcontrol and have speaker playback switch at the green line out jack

Node 0x0b [Pin Complex] wcaps 0x400581: Stereo
  Control: name="Speaker Playback Switch", index=0, device=0
    ControlAmp: chs=1, dir=Out, idx=0, ofs=0
  Pincap 0x00010014: OUT EAPD Detect
  EAPD 0x0:
  Pin Default 0x01014010: [Jack] Line Out at Ext Rear
    Conn = 1/8, Color = Green
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=06, enabled=1
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x02

Node 0x0f [Pin Complex] wcaps 0x400581: Stereo
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=1, dir=Out, idx=0, ofs=0
  Control: name="Headphone Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x0221401f: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Green
    DefAssociation = 0x1, Sequence = 0xf
  Pin-ctls: 0xc0: OUT HP
  Unsolicited: tag=06, enabled=1
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x02
Node 0x10 [Pin Complex] wcaps 0x400581: Stereo
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x02216011: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Orange
    DefAssociation = 0x1, Sequence = 0x1
  Pin-ctls: 0x00:
  Unsolicited: tag=06, enabled=1
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x03
Node 0x11 [Pin Complex] wcaps 0x40058b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals: [0x00 0x00]
  Pincap 0x00003734: IN OUT Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x02012014: [Jack] Line Out at Ext Front
    Conn = 1/8, Color = Grey
    DefAssociation = 0x1, Sequence = 0x4
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=06, enabled=1
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x04

Michael Murphy (mmstick) wrote :

So the solution is just wait until such controls are coded for CA0132? From what I heard, CA0132 was primarily coded for the Chromebook Pixel hardware rather than the Recon3D or Sound Blaster Z chips.

Raymond (superquad-vortex2) wrote :

try hda-jack-sense-test for your card 1 to find out which node is the headphone Jack , line out, Michael and line in jacks

Michael Murphy (mmstick) wrote :

How do I get hda-jack-sense-test?

Michael Murphy (mmstick) wrote :

mmstick@mmstick-PC:~$ sudo hda-jack-sense-test
Pin 0x03 (Unknown Digital Out): present = Yes
Pin 0x05 (Unknown Digital Out): present = No
Pin 0x07 (Unknown Digital Out): present = No
Pin 0x09 (Unknown Digital Out): present = No
Pin 0x0b (Unknown Digital Out): present = No
Pin 0x0d (Unknown Digital Out): present = No

Raymond (superquad-vortex2) wrote :

did you specify card since you have three hda-intel cards ?

Card hw:2 'Creative'/'HDA Creative at 0xfe504000 irq 47'
  Mixer name : 'Creative CA0132'
  Components : 'HDA:11020011,11020013,00100918'
  Controls : 21
  Simple ctrls : 8
Simple mixer control 'Headphone',0
  Capabilities: pvolume pswitch pswitch-joined penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 2 [6%] [-4.00dB] [on]
  Front Right: Playback 2 [6%] [-4.00dB] [on]
Simple mixer control 'Speaker',0
  Capabilities: pswitch pswitch-joined penum
  Playback channels: Mono
  Mono: Playback [off]

Michael Murphy (mmstick) wrote :

I disabled onboard audio but I don't know how to specify a card with this program because it does not have a man page.

Raymond (superquad-vortex2) wrote :

def parseoptions():
    from optparse import OptionParser
    parser = OptionParser()
    parser.add_option("-c", "--card", dest="cardindex", default=0, metavar="CARD",
        help="card index (as can be seen in /proc/asound/cards)")
    parser.add_option("-d", "--codec", dest="codecindex", default=0, metavar="CODEC",
        help="codec device index (as can be seen in /proc/asound/cardX/codecY)")
    parser.add_option("-a", "--allpins", dest="tryallpins", default=False,
        action="store_true",
        help="also check pins which (probably) are not physical jacks")
    (options, args) = parser.parse_args()
    return int(options.cardindex), int(options.codecindex), options.tryallpins

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?id=825315bc5b5c33e5af5124ff100ef05a30ad722f

seem have three capture devices

info++;
+ info->name = "CA0132 Analog Mic-In2";
+ info->stream[SNDRV_PCM_STREAM_CAPTURE] = ca0132_pcm_analog_capture;
+ info->stream[SNDRV_PCM_STREAM_CAPTURE].substreams = 1;
+ info->stream[SNDRV_PCM_STREAM_CAPTURE].nid = spec->adcs[1];
+ codec->num_pcms++;
+
+ info++;
+ info->name = "CA0132 What U Hear";
+ info->stream[SNDRV_PCM_STREAM_CAPTURE] = ca0132_pcm_analog_capture;
+ info->stream[SNDRV_PCM_STREAM_CAPTURE].substreams = 1;
+ info->stream[SNDRV_PCM_STREAM_CAPTURE].nid = spec->adcs[2];
+ codec->num_pcms++;

Michael Murphy (mmstick) wrote :

mmstick@mmstick-PC:~$ sudo hda-jack-sense-test -c 1 -d 1 -a
Pin 0x0b (Green Line Out)
Pin 0x0c (Purple SPDIF Out)
Pin 0x0d (Yellow SPDIF Out)
Pin 0x0e (Blue SPDIF In)
Pin 0x0f (Green HP Out)
Pin 0x10 (Orange HP Out)
Pin 0x11 (Grey Line Out)
Pin 0x12 (Pink Mic)
Pin 0x13 (Internal Line In)
Pin 0x18 (Not connected)

Green HP Out is the silver headphone port on the back of the card. Even if they say Present = Yes when plugged in to other ports, there is no sound.

Raymond (superquad-vortex2) wrote :

have you sent email to the author

ALSA: hda/ca0132: Add PCM enhancements
Change the max channels of analog playback to 6.

 .channels_min = 2,
- .channels_max = 2,
+ .channels_max = 6,
.ops = {

but max channels still 2

 info->name = "CA0132 Analog";
 info->stream[SNDRV_PCM_STREAM_PLAYBACK] = ca0132_pcm_analog_playback;
 info->stream[SNDRV_PCM_STREAM_PLAYBACK].nid = spec->dacs[0];
 info->stream[SNDRV_PCM_STREAM_PLAYBACK].channels_max =
  spec->multiout.max_channels;

spec->multiout.dac_nids = spec->dacs;
 spec->multiout.num_dacs = 3;
 spec->multiout.max_channels = 2;

Raymond (superquad-vortex2) wrote :

using hda-emu , it create 4 capture devices and digital capture is not device 1 (defined in hda-intel.conf)

autoconfig: line_outs=2 (0xb/0x11/0x0/0x0/0x0) type:line
   speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
   hp_outs=2 (0x10/0xf/0x0/0x0/0x0)
   mono: mono_out=0x0
   dig-out=0xc/0xd
   inputs:
     Mic=0x12
     Line=0x13
   dig-in=0xe
# Building PCMs...

Attach PCM dev 0, name CA0132 Analog, type audio, play #1, capture #1

Attach PCM dev 1, name CA0132 Analog Mic-In2, type audio, play #0, capture #1

Attach PCM dev 2, name CA0132 What U Hear, type audio, play #0, capture #1

Attach PCM dev 3, name CA0132 Digital, type SPDIF, play #1, capture #1
# Init and building controls...

Raymond (superquad-vortex2) wrote :

you are using driver later than this patch since line-in and Mic-in not exist

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?id=55cf87fe0e9783e25f442be1e48b8319d86131ea

simple mixer control 'Line',0
  Capabilities: cvolume cswitch penum
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 99
  Front Left: Capture 0 [0%] [-90.00dB] [off]
  Front Right: Capture 0 [0%] [-90.00dB] [off]
Simple mixer control 'Mic',0
  Capabilities: cvolume cswitch penum
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 99
  Front Left: Capture 30 [30%] [-60.00dB] [on]
  Front Right: Capture 30 [30%] [-60.00dB] [on]

Michael Murphy (mmstick) wrote :

I haven't sent emails to anyone. Considering I'm using kernel 3.8 (Ubuntu 13.04) it is understandable that I'm using a newer driver. I don't really understand anything else you are talking about.

21 comments hidden view all 101 comments
Michael Murphy (mmstick) wrote :

After an upgrade from Ubuntu 13.04 to Ubuntu 13.10 I've completely lost all sound for unknown reasons and cannot get it to return no matter what sort of workarounds I attempt. I'm using the same kernel, so the only thing difference is the packages that come with Ubuntu 13.04.

Raymond (superquad-vortex2) wrote :

https://code.launchpad.net/ubuntu/+source/alsa-driver

the modified date seem freeze at Feb/2013

Michael Murphy (mmstick) wrote :

After reformatting and using the Ubuntu 13.04 Minimal CD, immediately running sudo sed -i 's/raring/saucy/g' /etc/apt/sources.list and reinstalling all of my stuff, I have sound in Ubuntu 13.10. Still, I'm not sure what caused me to lose sound when upgrading from Ubuntu 13.04 to Ubuntu 13.10.

Michael Murphy (mmstick) wrote :

Perhaps I spoke too soon. After rebooting I lost sound completely again. I tried:

* Booting into Windows then booting into kernel 3.8
* Booting with kernel 3.8 with headphones plugged into the rear headphone jack.
* Purging and reconfiguring alsa and delete asound's from /var/lib/alsa and rebooting
* Booting with position fix off and on
* Booting into kernel 3.11 with position fix off and on
* Booting into kernel 3.11 with headphones plugged into the rear and front headphone jacks.

Nothing works. Furthermore, apparently if I boot with kernel 3.11 there are about 6 error messages, two of which say permission error, and the screen is black with just the cursor for about 5 seconds before Unity decides to load. Half the time Ubuntu hangs when booting, so that's a major problem. Then if you use unity --replace & disown, unity will completely explode, then sometimes Qt programs just look horrible. I guess I'm going to have to stick with Ubuntu 13.04 on this machine.

Paulo Narciso (p-narciso) wrote :

Creative won't care about Linux, Ubuntu devs also won't care. And Alsa dev's don't have much interess fixing this cards issue.

Michael Murphy (mmstick) on 2013-11-12
tags: added: saucy trusty
tags: added: alsa
Marc Bourgoin (jagged-jimmy-j) wrote :

Heyyo,

Now on the latest versions of the Linux Kernel? All of the Sound Blaster Recon 3D sound cards all work perfectly fine in 32bit. I believe it was kernel 3.9 that added a compatible driver... sadly though the kernel's built in driver doesn't seem to work in 64bit. :(

Tested with Ubuntu, Kubuntu, Fedora, Linux Mint. All the same results. 32bit works perfect but 64bit doesn't work properly if at all. It's definitely the kernel that makes the difference.

Michael Murphy (mmstick) on 2013-11-18
Changed in alsa-driver (Ubuntu):
status: Triaged → Confirmed
Changed in linux:
status: New → Confirmed
Changed in alsa-driver:
importance: Unknown → Undecided
status: Unknown → New
importance: Undecided → Unknown
status: New → Unknown
affects: linux → ubuntu
affects: ubuntu → linux
Marc Bourgoin (jagged-jimmy-j) wrote :

Heyyo,

I have a Sound Blaster Recon 3D Fatal1ty edition PCI-Express.

Microphone does not work in either 32bit or 64bit and my front audio ports have never worked either. I've tried kernels 3.9 up to 3.12.6... no luck so far.

My motherboard is a Gigabyte Z68X-UD7 B3. Sound card is in the PCI-E 1x slot.

Michael Murphy (mmstick) wrote :

You're SOL. I only had it work perfectly with 64-bit on a MSI motherboard.

John R. Boutiette (boutiettej) wrote :

I also have the Recon3D card with CA0132. I'm running linux mint 16 from a clean install. Sound will work on every other boot with the "sound fix=1" added. This also applies to windows 7. I use the program Pithos( a web client based player) for Pandora to record audio off the player through a program called Audio Recorder. I set the recorder to record audio from stereo out. I set the recorder to start recording when it sensed audio from Stereo out. It did record audio even when the nothing was being outputed from the speakers. I rebooted the system and checked the file it had recorded and it played perfectly like the speakers were working. I also noticed in mt Dmesg file in /var/log that sometimes it said that ca0132 didn't load or never even said anything about this card. Next boot "Dsp CA0132 loaded". Hope this helps in some way.

dimgl (dimiguel) wrote :

Anyone have any luck with this? This is driving me crazy and I don't want to have a brick on my computer. I have the Sound Blaster Z and I'm running Ubuntu 14.04.

Jonathan (jadit2) wrote :

Sound Blaster Z: device detected but no sound. Confirmed that the device is unmuted.

System: Debian Jessie x64
Kernel: 3.16-2-amd64
Advanced Linux Sound Architecture Driver Version k3.16-2-amd64.

Anyone want to start a bounty on this bug?

LaurentP (l5d) wrote :

Sound Blaster Z: device detected but no sound. Confirmed that the device is unmuted.

System: Linux Mint 17 Qiana Cinnamon x64
Kernel: 3.13.0-24-generic x86_64
inxi -M
Machine: Mobo: ASRock model: 980DE3/U3S3 Bios: American Megatrends version: P1.50 date: 12/03/2013
inxi -A :
 Card-1: NVIDIA GK107 HDMI Audio Controller driver: snd_hda_intel Sound: ALSA ver: k3.13.0-24-generic
 Card-2: Creative Labs Device 0012 driver: snd_hda_intel
 Card-3: Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA) driver: snd_hda_intel
inxi -C
CPU: Octa core AMD FX-8320 Eight-Core (-MCP-) cache: 16384 KB flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm)
          Clock Speeds: 1: 1400.00 MHz 2: 1400.00 MHz 3: 1400.00 MHz 4: 1400.00 MHz 5: 1400.00 MHz 6: 3500.00 MHz 7: 1400.00 MHz 8: 1400.00 MHz
Do you Want any other info ?
in case, tell me how to get them, in French or in very simple english, there are some terms i don't understand in this subject.
Regards,
LaurentP.

pgdm (paulogdemitri) wrote :

Hello. Kernel 4.0 here and no sound on HP jack. What a mess...

1 comments hidden view all 101 comments
LaurentP (l5d) wrote :

Hello, Happy new year for 2016.

With Kernel 3.19.0-32-generic x86_64, the Creative Sound Blaster Z [1102:0012] still don't play sound.
is someone testing with newer kernel, like 4.2.0.22 ? this is the newer i can found in Linux mint 17.3 Rosa, which is derivative from Ubuntu 14.04.

thatsallurspaceships (csub) wrote :

SB Recon3D [1102:0012]
Currently with Kernel 4.3.3-2r no sound aka. ca0132 Download Failed

Michal (fishmanos79) wrote :

Ubuntu 15.10
kernel 4.2.0-34-generic

Gigabyte GA-X99-Gaming G1
Creative Recon3d (CA0132)

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: CA0132 Analog [CA0132 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 1: CA0132 Digital [CA0132 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 9: HDMI 3 [HDMI 3]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

No sound, no analog output in system settings (see attached)
Alsamixes shows no mute/unmute possibility (see attached)

Michal (fishmanos79) wrote :

Sorry, couldn't find a way to add another attachment to previous post.

Mephi (mephi-mephi) wrote :

I'm another one.

Ubuntu 16.04
Kernel 4.4.0-15-generic

Gigabyte Sniper m5
Creative CA0132

mephi@mephi-desktop:~$ dmesg | grep audio
[ 1.459862] snd_hda_intel 0000:01:00.1: Handle vga_switcheroo audio client
[ 1.474284] snd_hda_codec_ca0132 hdaudioC1D2: autoconfig for CA0132: line_outs=1 (0xb/0x0/0x0/0x0/0x0) type:line
[ 1.474286] snd_hda_codec_ca0132 hdaudioC1D2: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 1.474287] snd_hda_codec_ca0132 hdaudioC1D2: hp_outs=1 (0x10/0x0/0x0/0x0/0x0)
[ 1.474288] snd_hda_codec_ca0132 hdaudioC1D2: mono: mono_out=0x0
[ 1.474289] snd_hda_codec_ca0132 hdaudioC1D2: dig-out=0xc/0x0
[ 1.474290] snd_hda_codec_ca0132 hdaudioC1D2: inputs:
[ 1.474291] snd_hda_codec_ca0132 hdaudioC1D2: Mic=0x12
[ 1.474292] snd_hda_codec_ca0132 hdaudioC1D2: Line=0x11
[ 2.089162] snd_hda_codec_ca0132 hdaudioC1D2: ca0132 DSP downloaded and running
[ 2.101041] snd_hda_intel 0000:00:03.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 36.721197] snd_hda_codec_ca0132 hdaudioC1D2: ca0132 DSP downloaded and running
[ 37.580974] snd_hda_codec_hdmi hdaudioC2D0: HDMI: invalid ELD data byte 4
[ 57.877294] snd_hda_codec_hdmi hdaudioC2D0: HDMI: invalid ELD data byte 50
mephi@mephi-desktop:~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: HDMI [HDA Intel HDMI], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: HDMI [HDA Intel HDMI], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: HDMI [HDA Intel HDMI], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 0: CA0132 Analog [CA0132 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 1: CA0132 Digital [CA0132 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: NVidia [HDA NVidia], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: NVidia [HDA NVidia], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: NVidia [HDA NVidia], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: NVidia [HDA NVidia], device 9: HDMI 3 [HDMI 3]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

No sound, no options to use the Creative card in the Sound Settings. Kernel seems to find it (according to dmesg). My alsamixer output is the same as Michal's (above)

Mephi (mephi-mephi) wrote :

I don't know if I'm getting any closer with this, but if I run:
sudo apt-get install alsa-tools-gui
hdajackretask

Then I can select Creative CA0132 and override the Green and Orange headphone ports (And set them to headphone)
I have to install boot override and then reboot.

Then I get the headphones as an option in the Ubuntu sound settings.

Still no sound though...

Mephi (mephi-mephi) wrote :

I have sound!!!

The line out port now works. I'm not completely sure which of the changes caused it, but the line out port wasn't working to start with.

It'd be nice to get the headphone output working but this is a good start :-)

Download full text (3.7 KiB)

Hello,

Sound is not working in 16.04 kubuntu

Motherbord is MSI

Creative SoundBlaster zx
ca0132

dmesg | grep audio
[ 2.540685] snd_hda_intel 0000:00:03.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 2.553922] snd_hda_codec_realtek hdaudioC1D0: autoconfig for ALC887-VD: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:line
[ 2.553925] snd_hda_codec_realtek hdaudioC1D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 2.553926] snd_hda_codec_realtek hdaudioC1D0: hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
[ 2.553927] snd_hda_codec_realtek hdaudioC1D0: mono: mono_out=0x0
[ 2.553928] snd_hda_codec_realtek hdaudioC1D0: inputs:
[ 2.553930] snd_hda_codec_realtek hdaudioC1D0: Front Mic=0x19
[ 2.553932] snd_hda_codec_realtek hdaudioC1D0: Rear Mic=0x18
[ 2.553933] snd_hda_codec_realtek hdaudioC1D0: Line=0x1a
[ 2.554789] snd_hda_codec_ca0132 hdaudioC2D1: autoconfig for CA0132: line_outs=1 (0xd/0x0/0x0/0x0/0x0) type:line
[ 2.554792] snd_hda_codec_ca0132 hdaudioC2D1: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 2.554794] snd_hda_codec_ca0132 hdaudioC2D1: hp_outs=1 (0x10/0x0/0x0/0x0/0x0)
[ 2.554796] snd_hda_codec_ca0132 hdaudioC2D1: mono: mono_out=0x0
[ 2.554797] snd_hda_codec_ca0132 hdaudioC2D1: dig-out=0xc/0x0
[ 2.554799] snd_hda_codec_ca0132 hdaudioC2D1: inputs:
[ 2.554801] snd_hda_codec_ca0132 hdaudioC2D1: Mic=0x12
[ 2.554802] snd_hda_codec_ca0132 hdaudioC2D1: dig-in=0xe
[ 3.123032] snd_hda_codec_ca0132 hdaudioC2D1: ca0132 DSP downloaded and running
[ 4.259145] snd_hda_codec_ca0132 hdaudioC2D1: ca0132 DSP downloaded and running
[ 4.733580] snd_hda_intel 0000:00:03.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 4.742177] snd_hda_codec_realtek hdaudioC1D0: autoconfig for ALC887-VD: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:line
[ 4.742179] snd_hda_codec_realtek hdaudioC1D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 4.742180] snd_hda_codec_realtek hdaudioC1D0: hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
[ 4.742181] snd_hda_codec_realtek hdaudioC1D0: mono: mono_out=0x0
[ 4.742181] snd_hda_codec_realtek hdaudioC1D0: inputs:
[ 4.742183] snd_hda_codec_realtek hdaudioC1D0: Front Mic=0x19
[ 4.742184] snd_hda_codec_realtek hdaudioC1D0: Rear Mic=0x18
[ 4.742184] snd_hda_codec_realtek hdaudioC1D0: Line=0x1a
[ 4.750465] snd_hda_codec_generic hdaudioC0D0: ignore pin 0x7, too many assigned pins
[ 4.750470] snd_hda_codec_generic hdaudioC0D0: autoconfig for Generic: line_outs=0 (0x0/0x0/0x0/0x0/0x0) type:line
[ 4.750471] snd_hda_codec_generic hdaudioC0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 4.750472] snd_hda_codec_generic hdaudioC0D0: hp_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 4.750473] snd_hda_codec_generic hdaudioC0D0: mono: mono_out=0x0
[ 4.750474] snd_hda_codec_generic hdaudioC0D0: dig-out=0x5/0x6
[ 4.750475] snd_hda_codec_generic hdaudioC0D0: inputs:
[ 4.755579] snd_hda_codec_ca0132 hdaudioC2D1: autoconfig for CA0132: line_outs=1 (0xb/0x0/0x0/0x0/0x0) type:line
[ 4.755582] snd_hda_codec_ca0132 hdaudioC2D1: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 4.755583] snd_hda_codec_ca0...

Read more...

It is 5.1

but detected as 2.1 without any sound

Egbert van der Wal (eggie) wrote :
Download full text (3.6 KiB)

I have the same issue: no sound on a Recon3D / CA0132. The sound chip is an onboard chip labelled Sound Core 3D, the motherboard is a GA-X170-Extreme ECC. This is on Ubuntu 16.04.

Alsa / Pulseaudio claim everything is good, but there's no sound coming out of it at all.

dmesg | grep hda shows:

[ 7.200088] snd_hda_intel 0000:00:1f.3: enabling device (0000 -> 0002)
[ 7.200197] snd_hda_intel 0000:01:00.1: enabling device (0000 -> 0002)
[ 7.200226] snd_hda_intel 0000:01:00.1: Handle vga_switcheroo audio client
[ 7.241033] snd_hda_intel 0000:00:1f.3: failed to add i915_bpo component master (-19)
[ 7.252621] snd_hda_codec_ca0132 hdaudioC0D0: autoconfig for CA0132: line_outs=1 (0xb/0x0/0x0/0x0/0x0) type:line
[ 7.252623] snd_hda_codec_ca0132 hdaudioC0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 7.252625] snd_hda_codec_ca0132 hdaudioC0D0: hp_outs=1 (0x10/0x0/0x0/0x0/0x0)
[ 7.252626] snd_hda_codec_ca0132 hdaudioC0D0: mono: mono_out=0x0
[ 7.252627] snd_hda_codec_ca0132 hdaudioC0D0: dig-out=0xc/0x0
[ 7.252628] snd_hda_codec_ca0132 hdaudioC0D0: inputs:
[ 7.252629] snd_hda_codec_ca0132 hdaudioC0D0: Mic=0x12
[ 7.252630] snd_hda_codec_ca0132 hdaudioC0D0: Line=0x11
[ 7.503386] snd_hda_codec_generic hdaudioC1D0: ignore pin 0x6, too many assigned pins
[ 7.511395] snd_hda_codec_generic hdaudioC1D0: ignore pin 0x7, too many assigned pins
[ 7.511398] snd_hda_codec_generic hdaudioC1D0: autoconfig for Generic: line_outs=0 (0x0/0x0/0x0/0x0/0x0) type:line
[ 7.511399] snd_hda_codec_generic hdaudioC1D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 7.511400] snd_hda_codec_generic hdaudioC1D0: hp_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 7.511400] snd_hda_codec_generic hdaudioC1D0: mono: mono_out=0x0
[ 7.511401] snd_hda_codec_generic hdaudioC1D0: dig-out=0x4/0x5
[ 7.511402] snd_hda_codec_generic hdaudioC1D0: inputs:
[ 7.847710] snd_hda_codec_ca0132 hdaudioC0D0: ca0132 DSP downloaded and running
[ 8.711805] snd_hda_codec_ca0132 hdaudioC0D0: ca0132 DSP downloaded and running

I tried blacklisting snd-hda-codec-hdmi, which didn't work so I ended up removing the file from lib/modules/*/ altogether. Didn't help.

I also tried adding enable_msi=1 and/or position_fix=1 to /etc/modprobe.d/alsa-base.conf, neither of them worked. Even though the dmesg now no longer states that MSI is being disabled for snd_hda_intel.

Maybe relevant: the motherboard has a HDMI-out (which doesn't work because I don't have a iGPU on my processor), and the videocard (Gigabyte NVidia GTX 1070 G1 Gaming) also has a HDMI-output which is also bound to snd-hda-intel. (Relevant) output of lspci -k:

00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
        Subsystem: Gigabyte Technology Co., Ltd Sunrise Point-H HD Audio
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel

01:00.0 VGA compatible controller: NVIDIA Corporation Device 1b81 (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3701
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_367, nvidia_367_drm
01:00.1 Audio device: NVIDIA Corporation Device 10f0 (re...

Read more...

LaurentP (l5d) wrote :

Hello, here the return of the command hdajacksensetest :

sudo hdajacksensetest -c 3 -d 1 -a
Pin 0x0b (Green Line Out, Rear side): present = Yes
Pin 0x0c (Purple SPDIF Out, Rear side): present = No
Pin 0x0d (Yellow SPDIF Out, Rear side): present = No
Pin 0x0e (Blue SPDIF In, Rear side): present = No
Pin 0x0f (Green Headphone, Front side): present = No
Pin 0x10 (Orange Headphone, Front side): present = No
Pin 0x11 (Grey Line Out, Front side): present = Yes
Pin 0x12 (Pink Mic, Mobile-In): present = Yes
Pin 0x13 (Internal Line In): present = No
Pin 0x18 (Not connected): present = No

and return of inxi -A
Audio: Card-1 Creative Labs SB Recon3D driver: snd_hda_intel Sound: ALSA v: k4.4.0-15-generic
           Card-2 NVIDIA Device 0fbc driver: snd_hda_intel
           Card-3 Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA) driver: snd_hda_intel
           Card-4 Guillemot driver: USB Audio

Mephi (mephi-mephi) wrote :

Just adding in that there's no change with an upgrade to 16.10
Also, I'm not sure if the link to the Linux Kernel bug is correct as that shows the bug as resolved in Kernels <=3.9-r3

Marco (marko81) wrote :

Still not working on 17.04 Zesty (kernel 4.8)

Sean O'Donnell (seano96) wrote :

This is affecting me.

Decided to give Ubuntu 16.04 a try and I cannot for the life of me get Optical or the green, black and orange/brown cables working either (The 3.5mm jacks).

Audio works in windows fine, I did the echo "options snd-hda-intel position_fix=1" | sudo tee -a /etc/modprobe.d/alsa-base.conf fix and it worked for a day, when I restarted from windows to Linux it broke again.

Everything shows up. It should be working but sound does not play at all.

HDMI Audio works fine via my monitor.

Motherboard: Gigabyte Gaming 7 Z170
Card: HDA Intel PCH
Chip: Creative CA0132

If I can do anything to help please let me know. I can't switch over from windows if I don't have audio.

Egbert van der Wal (eggie) wrote :

I just gave up and got me a Asus Xonar sound card and disabled the onboard. Works a treat!

The longer I worked with it, the more I got convinced it's a crappy chip. Even in Windows 10 it doesn't work properly - sometimes the volume levels are ignored or attached to different outputs than they should be.

Also, when I started Ubuntu 16.04 once, I needed to completely shut down the computer - if I just reboot to Windows it will also not work in Windows. After a shut down it usually works again.

I have no clue what this chip is doing and how it's interacting with the driver on Linux, but it's bad. Very bad.

dakota pa lmer (dakotapa) wrote :

SB Recon3D Line Out does not work.

I have a sound blaster zx running ubuntu 16.04 with kernerl 4.8.0 -46

My HDMI audio is working. I just plugged headphone in to the back of one of my monitors running and HDMI cord and sound is perfect...

Would love to have my sound card working though....

Scooty Puff Jr. (sevenzig) wrote :

Okay, I did a whole bunch of things tonight and I think I got mine working.

Added " options snd-hda-intel model=auto " to /etc/modprobe.d/alsa-base.conf
(https://forums.linuxmint.com/viewtopic.php?t=110209)

Added " sudo apt-get install dkms " and downloading the most recent ALSA daily for 16.04
(https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS)

Added " rmmod snd_hda_intel " and " modprobe snd_hda_intel position_fix=1 " to /etc/rc.local
(https://github.com/ValveSoftware/SteamOS/issues/221)

Executed " sudo apt-get install --install-recommends linux-generic-lts-wily xserver-xorg-core-lts-wily xserver-xorg-lts-wily xserver-xorg-video-all-lts-wily xserver-xorg-input-all-lts-wily libwayland-egl1-mesa-lts-wily "
(https://ubuntuforums.org/showthread.php?t=2293912)

Installed hdajackretask [per mephi, #81 in this thread], selected Creative CA0132, and toggled Advanced override. Override Green Headphone, Front side. Set Device to Headphone and Channel (in group) to Front.

Also the simple stuff like making sure your desired audio output device is set to default and not muted. Make sure to run alsamixer after each reboot because I find my output muted after every restart.

Hope this helps someone!

aidanjt (aidanjt) wrote :

I'm having the same problem with PCI ID 1102:0012 & sub ID 1102:0010. It's a SB Z OEM (no fancy shroud).

Zaszuś (zaszus) wrote :

@sevenzig: Did you add the option " snd-hda-intel position_fix=1 " as well?

Zaszuś (zaszus) wrote :

@sevenzig: I have followed your advice, but unless I messed something up in or before the process, it didn't help. Nothing changed...

Zaszuś (zaszus) wrote :

Launchpad says alsa package was updated for the last time on 2013-10-20. Is it true that Linux/Ubuntu does not have any sound development for 4 years??

Michael Murphy (mmstick) wrote :

ALSA does not exist on it's own within a package. It's a part of the Linux kernel (because Linux is a macrokernel).

Zaszuś (zaszus) wrote :

Right, thanks Michael. I missed that part.

LaurentP (l5d) wrote :

hello,
i have got sound on Line out, rear jack, by applied the proccess documented in this forum : [url]https://ubuntuforums.org/showthread.php?t=2326126&p=13496676#post13496676[/url].

Israel Jone (ijml-team) wrote :
Download full text (3.5 KiB)

Gigabyte Z87 G1.Sniper M5 Creative CA0132 no surround 5.1 sound (only stereo) any idea?

ubuntu 16.04 LTS Kernel 4.9.0-040900-generic

00:1b.0 Audio device [0403]: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller [8086:8c20] (rev 04)

Card: HDA Intel PCH
Chip: Creative CA0132

https://i.pinimg.com/564x/ae/64/9f/ae649f33532f1dc598e66c6936fe1353.jpg

aplay -L
default
    Playback/recording through the PulseAudio sound server
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
hdmi:CARD=HDMI,DEV=0
    HDA Intel HDMI, HDMI 0
    HDMI Audio Output
hdmi:CARD=HDMI,DEV=1
    HDA Intel HDMI, HDMI 1
    HDMI Audio Output
hdmi:CARD=HDMI,DEV=2
    HDA Intel HDMI, HDMI 2
    HDMI Audio Output
dmix:CARD=HDMI,DEV=3
    HDA Intel HDMI, HDMI 0
    Direct sample mixing device
dmix:CARD=HDMI,DEV=7
    HDA Intel HDMI, HDMI 1
    Direct sample mixing device
dmix:CARD=HDMI,DEV=8
    HDA Intel HDMI, HDMI 2
    Direct sample mixing device
dsnoop:CARD=HDMI,DEV=3
    HDA Intel HDMI, HDMI 0
    Direct sample snooping device
dsnoop:CARD=HDMI,DEV=7
    HDA Intel HDMI, HDMI 1
    Direct sample snooping device
dsnoop:CARD=HDMI,DEV=8
    HDA Intel HDMI, HDMI 2
    Direct sample snooping device
hw:CARD=HDMI,DEV=3
    HDA Intel HDMI, HDMI 0
    Direct hardware device without any conversions
hw:CARD=HDMI,DEV=7
    HDA Intel HDMI, HDMI 1
    Direct hardware device without any conversions
hw:CARD=HDMI,DEV=8
    HDA Intel HDMI, HDMI 2
    Direct hardware device without any conversions
plughw:CARD=HDMI,DEV=3
    HDA Intel HDMI, HDMI 0
    Hardware device with all software conversions
plughw:CARD=HDMI,DEV=7
    HDA Intel HDMI, HDMI 1
    Hardware device with all software conversions
plughw:CARD=HDMI,DEV=8
    HDA Intel HDMI, HDMI 2
    Hardware device with all software conversions
sysdefault:CARD=PCH
    HDA Intel PCH, CA0132 Analog
    Default Audio Device
front:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    Front speakers
surround21:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    2.1 Surround output to Front and Subwoofer speakers
surround40:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Digital
    IEC958 (S/PDIF) Digital Audio Output
dmix:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    Direct sample mixing device
dmix:CARD=PCH,DEV=1
    HDA Intel PCH, CA0132 Digital
    Direct sample mixing device
dsnoop:CARD=PCH,DEV=0
    HDA Intel PCH, CA0132 Analog
    Direct sample snooping device
dsnoop:CARD=PCH,DEV=1
    HDA Intel PCH, CA0132 Digital
    Direct sample snooping device
hw:CARD=PCH,DEV=...

Read more...

tags: removed: raring saucy
summary: - Creative Recon3d & Sound Blaster Z (CA0132), No Sound At All; Broken
- Beyond All Repair
+ Creative Recon3d & Sound Blaster Z (CA0132), No sound at all
Displaying first 40 and last 40 comments. View all 101 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.